Compare commits

...

228 Commits

Author SHA1 Message Date
Tonye Jack
a2b1e5dbb9 chore: update test (#888) 2022-12-19 09:06:52 +00:00
Tonye Jack
349b9cd596 chore: code cleanup (#887)
Co-authored-by: repo-ranger[bot] <39074581+repo-ranger[bot]@users.noreply.github.com>
2022-12-19 08:12:13 +00:00
Tonye Jack
565ad867fa Update README.md 2022-12-18 23:40:18 -07:00
Tonye Jack
d984765c3c Update README.md 2022-12-18 23:19:15 -07:00
Tonye Jack
f25e6fe945 Upgraded to v35 (#886)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2022-12-19 06:06:50 +00:00
Tonye Jack
110b9baa5f Updated README.md (#885)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2022-12-18 22:16:51 -07:00
Tonye Jack
d2f7657e17 fix: error retrieving changed files (#882) 2022-12-18 22:12:33 -07:00
Tonye Jack
a5b3ab3adf Update README.md 2022-12-18 21:57:55 -07:00
Tonye Jack
b04bee68cb Update README.md 2022-12-18 21:09:32 -07:00
Tonye Jack
5a415cfa17 Update README.md 2022-12-18 20:46:23 -07:00
Tonye Jack
dac1573a9f Update README.md 2022-12-18 20:36:25 -07:00
Tonye Jack
2cb89c14f8 Update README.md 2022-12-18 20:09:08 -07:00
Tonye Jack
0c11739343 Update README.md 2022-12-18 19:59:33 -07:00
Tonye Jack
a8f275909b Update README.md 2022-12-18 19:25:09 -07:00
Tonye Jack
78e918f749 Update README.md 2022-12-18 08:00:16 -07:00
Tonye Jack
e20f763562 Update README.md 2022-12-18 01:22:53 -07:00
Tonye Jack
aa677d9200 Update README.md 2022-12-18 01:16:21 -07:00
Tonye Jack
c763fb03d9 Update README.md 2022-12-18 01:11:02 -07:00
Tonye Jack
e92019659f Update README.md 2022-12-18 01:02:31 -07:00
Tonye Jack
42fb35e835 Update README.md 2022-12-18 00:21:58 -07:00
Tonye Jack
75ea265d3a Update README.md 2022-12-17 23:45:37 -07:00
Tonye Jack
88a778c8d7 Update README.md 2022-12-17 21:09:09 -07:00
Tonye Jack
2f66d3becc Update README.md 2022-12-17 21:06:12 -07:00
Tonye Jack
9ca5762164 Update README.md 2022-12-17 20:40:48 -07:00
Tonye Jack
4f51d4bdf2 Update README.md 2022-12-17 18:09:12 -07:00
Tonye Jack
3599672c90 Update README.md 2022-12-17 17:52:06 -07:00
Tonye Jack
2b31ed904d Update README.md 2022-12-17 17:31:59 -07:00
Tonye Jack
5db646f3d5 Update README.md 2022-12-17 16:24:03 -07:00
Tonye Jack
f1df99fa1d Update README.md 2022-12-17 16:09:48 -07:00
Tonye Jack
e5cb100651 Update README.md 2022-12-17 15:33:27 -07:00
Tonye Jack
5375720ffa Update README.md 2022-12-17 15:33:16 -07:00
Tonye Jack
4311e06ffd Update README.md 2022-12-17 15:19:36 -07:00
Tonye Jack
f8e9251aac Update README.md 2022-12-17 15:16:32 -07:00
Tonye Jack
b1478017f4 Update README.md 2022-12-17 10:47:13 -07:00
Tonye Jack
1a70916518 Update README.md 2022-12-17 10:33:59 -07:00
Tonye Jack
1bfae76e44 Update README.md 2022-12-17 10:23:06 -07:00
Tonye Jack
85368c0a27 Update README.md 2022-12-17 10:18:39 -07:00
Tonye Jack
901681a010 Update README.md 2022-12-16 19:20:59 -07:00
Tonye Jack
3787560a3d Update test.yml 2022-12-16 19:11:02 -07:00
Tonye Jack
a64becde5e Update README.md 2022-12-16 18:47:16 -07:00
Tonye Jack
d6db5b61d1 Update README.md 2022-12-16 18:19:51 -07:00
Tonye Jack
3d674ed245 Update README.md 2022-12-16 15:39:36 -07:00
Tonye Jack
aa0a3c1ae1 Update README.md 2022-12-16 15:29:59 -07:00
Tonye Jack
d5e31f6bc1 Update README.md 2022-12-16 15:20:50 -07:00
Tonye Jack
211879e6d9 Update README.md 2022-12-16 14:41:53 -07:00
Tonye Jack
b75f6c0571 fix: fail when the merge base is not found (#879) 2022-12-16 14:28:40 -07:00
Tonye Jack
4f1ac0562f Upgraded to v34.6.2 (#878)
Co-authored-by: jackton1 <jackton1@users.noreply.github.com>
2022-12-16 21:12:53 +00:00
Tonye Jack
f8f2961361 Update README.md 2022-12-16 13:51:49 -07:00
Tonye Jack
ce4b8e3cba Merge pull request #876 from tj-actions/chore/update-readme
Updated README.md
2022-12-16 13:38:54 -07:00
jackton1
ebdb5eac17 Updated README.md 2022-12-16 20:13:22 +00:00
Tonye Jack
a4150e3d36 Update README.md 2022-12-16 13:08:58 -07:00
Tonye Jack
4f56809937 Merge pull request #877 from tj-actions/fix/bug-using-since_last_remote_commit-with-force-push
fix: bug using since_last_remote_commit with force push
2022-12-16 13:03:11 -07:00
Tonye Jack
a377d0ea43 fix: bug using since_last_remote_commit with force push 2022-12-16 12:51:54 -07:00
Tonye Jack
483c5e735d Update diff-sha.sh 2022-12-16 12:08:53 -07:00
Tonye Jack
ba522dd664 Merge pull request #872 from tj-actions/chore/update-test-dir
chore: update test dir
2022-12-16 11:50:22 -07:00
Tonye Jack
10aaa531b8 Update diff-sha.sh 2022-12-16 11:49:36 -07:00
repo-ranger[bot]
394fc25d46 Merge branch 'main' into chore/update-test-dir 2022-12-16 18:37:56 +00:00
Tonye Jack
76855a1bbe Update README.md 2022-12-16 11:37:24 -07:00
Tonye Jack
6758393645 Update action.yml 2022-12-16 11:34:44 -07:00
Tonye Jack
4837447a0b Update diff-sha.sh 2022-12-16 11:29:59 -07:00
Tonye Jack
78ac3f4d78 Update diff-sha.sh 2022-12-16 11:29:04 -07:00
Tonye Jack
c3ab8f3936 Update diff-sha.sh 2022-12-16 11:18:16 -07:00
Tonye Jack
e070e451a6 Update diff-sha.sh 2022-12-16 11:16:00 -07:00
Tonye Jack
f701d66cbd Update diff-sha.sh 2022-12-16 11:15:14 -07:00
Tonye Jack
acd99f22a7 Update diff-sha.sh 2022-12-16 10:53:49 -07:00
Tonye Jack
41bac1e2f7 Update diff-sha.sh 2022-12-16 10:53:13 -07:00
repo-ranger[bot]
c1b58174f0 Merge branch 'main' into chore/update-test-dir 2022-12-16 17:41:29 +00:00
Tonye Jack
160c1dacc6 Update README.md 2022-12-16 10:40:44 -07:00
Tonye Jack
550a972358 Update diff-sha.sh 2022-12-16 10:40:19 -07:00
repo-ranger[bot]
6114375387 Merge branch 'main' into chore/update-test-dir 2022-12-16 17:30:46 +00:00
Tonye Jack
db14f52900 Update README.md 2022-12-16 10:30:27 -07:00
Tonye Jack
7dd55804cf Update diff-sha.sh 2022-12-16 10:17:31 -07:00
Tonye Jack
e8733f64fa Update diff-sha.sh 2022-12-16 10:03:24 -07:00
Tonye Jack
2e7b724f9a Update diff-sha.sh 2022-12-16 09:48:16 -07:00
Tonye Jack
996300de86 Update diff-sha.sh 2022-12-16 09:43:12 -07:00
Tonye Jack
9bb7d28e70 Update diff-sha.sh 2022-12-16 09:23:09 -07:00
repo-ranger[bot]
d574e2b818 Merge branch 'main' into chore/update-test-dir 2022-12-16 14:46:06 +00:00
Tonye Jack
dccc349e98 Update README.md 2022-12-16 07:45:25 -07:00
Tonye Jack
d4e4d24f9c Update diff-sha.sh 2022-12-16 07:44:56 -07:00
repo-ranger[bot]
b78225f7de Merge branch 'main' into chore/update-test-dir 2022-12-16 14:28:58 +00:00
Tonye Jack
6384aa7d7f Update README.md 2022-12-16 07:27:46 -07:00
Tonye Jack
e034ba961f Update diff-sha.sh 2022-12-16 07:26:48 -07:00
Tonye Jack
40f3d5695f Update diff-sha.sh 2022-12-16 07:26:20 -07:00
repo-ranger[bot]
8c727bef3c Merge branch 'main' into chore/update-test-dir 2022-12-16 14:18:20 +00:00
Tonye Jack
7330323a2d Update README.md 2022-12-16 07:18:11 -07:00
Tonye Jack
2b49b75dcb Update diff-sha.sh 2022-12-16 07:17:10 -07:00
repo-ranger[bot]
a98e4d3169 Merge branch 'main' into chore/update-test-dir 2022-12-16 14:11:21 +00:00
Tonye Jack
ca4840ce6a Update README.md 2022-12-16 07:10:16 -07:00
Tonye Jack
0a3cc94baa Update test new.txt 2022-12-16 07:05:52 -07:00
Tonye Jack
237b05158c Update diff-sha.sh 2022-12-15 22:15:57 -07:00
Tonye Jack
7f75cdb504 Update diff-sha.sh 2022-12-15 22:01:00 -07:00
Tonye Jack
4bf8a029f7 Update diff-sha.sh 2022-12-15 22:00:33 -07:00
Tonye Jack
4b6b8eb9e7 Merge branch 'main' into chore/update-test-dir 2022-12-15 21:55:15 -07:00
Tonye Jack
fd3e44b556 Update test new.txt 2022-12-15 21:54:42 -07:00
Tonye Jack
1d0bc9880c Update diff-sha.sh 2022-12-15 21:53:52 -07:00
Tonye Jack
9f3cd20ba2 Update diff-sha.sh 2022-12-15 21:52:03 -07:00
Tonye Jack
19e86cc60b Update diff-sha.sh 2022-12-15 21:42:30 -07:00
Tonye Jack
ca30b8500a Update diff-sha.sh 2022-12-15 21:33:16 -07:00
Tonye Jack
bdfc50c467 Update diff-sha.sh 2022-12-15 21:15:31 -07:00
Tonye Jack
aabcbcc882 Update diff-sha.sh 2022-12-15 21:01:23 -07:00
Tonye Jack
6cf9a958b7 Merge pull request #873 from tj-actions/chore/update-test
chore: update test
2022-12-15 20:56:51 -07:00
Tonye Jack
61361b9cde chore: update test 2022-12-15 20:56:28 -07:00
Tonye Jack
4d1ed48b49 chore: update test dir 2022-12-15 20:53:14 -07:00
repo-ranger[bot]
58ffe6f792 Merge pull request #866 from tj-actions/chore/fallback-to-fork-point
feat: fallback to fork-point
2022-12-16 03:49:39 +00:00
Tonye Jack
0dbccaa808 Update diff-sha.sh 2022-12-15 20:11:14 -07:00
Tonye Jack
f195837047 Update diff-sha.sh 2022-12-15 18:15:40 -07:00
Tonye Jack
bfbf803f41 Update diff-sha.sh 2022-12-15 18:15:40 -07:00
Tonye Jack
07a1f5a723 Update diff-sha.sh 2022-12-15 18:15:40 -07:00
Tonye Jack
427b9f931d feat: fallback to fork-point 2022-12-15 18:15:40 -07:00
Tonye Jack
3472a62032 Merge pull request #871 from tj-actions/chore/remove-ubuntu-18.04-from-test
chore: remove ubuntu 18.04 from test
2022-12-15 16:50:12 -07:00
Tonye Jack
f62204d4c7 chore: remove ubuntu 18.04 from test 2022-12-15 16:50:00 -07:00
Tonye Jack
19ecae980a Merge pull request #869 from tj-actions/chore/update-readme
Updated README.md
2022-12-15 14:53:51 -07:00
jackton1
8a2dbf5570 Updated README.md 2022-12-15 21:31:30 +00:00
Tonye Jack
1d0a36c98e Update action.yml 2022-12-15 13:10:14 -07:00
Tonye Jack
760335a2f5 Merge pull request #868 from tj-actions/renovate/tj-actions-verify-changed-files-13.x
chore(deps): update tj-actions/verify-changed-files action to v13
2022-12-15 12:54:48 -07:00
renovate[bot]
70d6677420 chore(deps): update tj-actions/verify-changed-files action to v13 2022-12-15 19:53:52 +00:00
Tonye Jack
c789451909 Merge pull request #867 from tj-actions/renovate/tj-actions-auto-doc-1.x
chore(deps): update tj-actions/auto-doc action to v1.6.0
2022-12-15 12:53:38 -07:00
renovate[bot]
6e62cd44dc chore(deps): update tj-actions/auto-doc action to v1.6.0 2022-12-15 19:32:21 +00:00
repo-ranger[bot]
82d305f9fa Merge pull request #864 from tj-actions/upgrade-to-v34.6.1
Upgraded to v34.6.1
2022-12-14 17:32:30 +00:00
jackton1
183a9ec343 Upgraded from v34.6.0 -> v34.6.1 2022-12-14 17:12:42 +00:00
repo-ranger[bot]
3b6c057cd8 Merge pull request #863 from tj-actions/chore/update-readme
Updated README.md
2022-12-14 16:35:11 +00:00
repo-ranger[bot]
e2b21be3d2 Updated README.md 2022-12-14 16:11:45 +00:00
repo-ranger[bot]
a7b70fa84d Merge pull request #862 from tj-actions/feat/add-support-for-pulling-more-history
feat: add support for pulling more history
2022-12-14 16:11:03 +00:00
Tonye Jack
7a06bb7247 Update action.yml 2022-12-14 08:49:41 -07:00
Tonye Jack
9dc80210cf Update diff-sha.sh 2022-12-14 08:32:25 -07:00
Tonye Jack
a1a2be24bd Update diff-sha.sh 2022-12-14 08:17:48 -07:00
Tonye Jack
bb675e1715 Update action.yml 2022-12-14 08:05:54 -07:00
Tonye Jack
9e0389c5ae feat: add support for pulling more history 2022-12-14 08:04:31 -07:00
Tonye Jack
9b3a93a0c1 Update README.md 2022-12-13 20:08:53 -07:00
Tonye Jack
a991e1d22a Merge pull request #861 from tj-actions/upgrade-to-v34.6.0
Upgraded to v34.6.0
2022-12-13 20:08:09 -07:00
jackton1
0df8efd4d7 Upgraded from v34.5.4 -> v34.6.0 2022-12-14 03:00:18 +00:00
repo-ranger[bot]
4f64429e8b Merge pull request #860 from tj-actions/fix/error-with-retrieving-changed-files-for-closed-prs
fix: error with retrieving changed files for closed prs
2022-12-14 01:58:54 +00:00
Tonye Jack
a73691148f fix: error with retrieving changed files for closed prs 2022-12-13 18:39:58 -07:00
repo-ranger[bot]
cd8e421366 Merge pull request #859 from tj-actions/fix/error-detecting-changed-files-for-closed-prs
fix: error detecting changed files for closed PR's
2022-12-14 01:03:14 +00:00
Tonye Jack
32a46ba6ba fix: error detecting changed files for closed PR's 2022-12-13 17:43:44 -07:00
repo-ranger[bot]
0e4974f191 Merge pull request #857 from tj-actions/fix/bug-changed-files-diff-sha-prints-thousands-of-lines-and-takes-two-minutes-to-run
fix: bug-changed-files-diff-sha-prints-thousands-of-lines-and-takes-two-minutes-to-run
2022-12-13 21:47:13 +00:00
Tonye Jack
4f939f8e80 fixed test 2022-12-13 14:25:47 -07:00
Tonye Jack
2405ae6c59 Updated the current sha 2022-12-13 14:13:22 -07:00
Tonye Jack
49ac42e025 Deprecate max_fetch_depth 2022-12-13 14:02:40 -07:00
Tonye Jack
9cac2f8ea1 Update diff-sha.sh 2022-12-13 13:51:00 -07:00
Tonye Jack
6497e8ef99 Updated to fetch the common ancestor 2022-12-13 13:24:35 -07:00
Tonye Jack
1ae6035162 Update diff-sha.sh 2022-12-13 12:20:37 -07:00
Tonye Jack
8b8c347ee9 Update diff-sha.sh 2022-12-13 12:11:37 -07:00
Tonye Jack
bd4ca4c445 Update diff-sha.sh 2022-12-13 11:26:00 -07:00
Tonye Jack
2a28c9bb7d Merge pull request #856 from tj-actions/renovate/reviewdog-action-shellcheck-1.x
chore(deps): update reviewdog/action-shellcheck action to v1.16
2022-12-13 11:24:15 -07:00
renovate[bot]
5f902276c1 chore(deps): update reviewdog/action-shellcheck action to v1.16 2022-12-13 11:56:20 +00:00
Tonye Jack
73401b8f0b Merge pull request #854 from tj-actions/chore/update-readme
Updated README.md
2022-12-12 16:35:17 -07:00
jackton1
fa300c6aa4 Updated README.md 2022-12-12 23:34:25 +00:00
Tonye Jack
79fbc9646d Update action.yml 2022-12-12 16:33:39 -07:00
Tonye Jack
eaffc06f9c Merge pull request #852 from tj-actions/chore/update-readme
Updated README.md
2022-12-12 16:27:12 -07:00
jackton1
d14a55854a Updated README.md 2022-12-12 23:21:54 +00:00
Tonye Jack
01588a88f3 Update README.md 2022-12-12 16:20:59 -07:00
repo-ranger[bot]
c3a1d0574b Merge pull request #850 from tj-actions/renovate/actions-checkout-3.x
chore(deps): update actions/checkout action to v3.2.0
2022-12-12 21:45:35 +00:00
repo-ranger[bot]
0358232251 Merge branch 'main' into renovate/actions-checkout-3.x 2022-12-12 21:21:43 +00:00
Tonye Jack
5bc868d5b5 Merge pull request #851 from tj-actions/upgrade-to-v34.5.4
Upgraded to v34.5.4
2022-12-12 14:20:11 -07:00
jackton1
a1893f84b3 Upgraded from v34.5.3 -> v34.5.4 2022-12-12 21:09:58 +00:00
renovate[bot]
44d49bc228 chore(deps): update actions/checkout action to v3.2.0 2022-12-12 20:58:29 +00:00
repo-ranger[bot]
3f1e44af6c Merge pull request #847 from tj-actions/chore/update-error-handling
chore: update error handling
2022-12-12 18:49:05 +00:00
Tonye Jack
d9be0ccb5e Update diff-sha.sh 2022-12-12 11:16:39 -07:00
repo-ranger[bot]
ff10d2fbc5 Merge branch 'main' into chore/update-error-handling 2022-12-12 18:14:59 +00:00
Tonye Jack
8fb90ed7f6 Update diff-sha.sh 2022-12-12 11:14:49 -07:00
Tonye Jack
474e3bd363 Merge pull request #848 from tj-actions/chore/update-readme
chore: update readme
2022-12-12 08:30:55 -07:00
Tonye Jack
b2902f40b3 chore: update readme 2022-12-12 01:36:53 -07:00
Tonye Jack
17ae17127c Update diff-sha.sh 2022-12-12 00:19:02 -07:00
Tonye Jack
65dc0e47e9 chore: update error handling 2022-12-12 00:18:33 -07:00
Tonye Jack
ba5abef332 Merge pull request #846 from tj-actions/upgrade-to-v34.5.3 2022-12-10 19:03:01 -07:00
jackton1
84dcdf586d Upgraded from v34.5.2 -> v34.5.3 2022-12-11 00:32:24 +00:00
Tonye Jack
74dc2e8a78 Merge pull request #845 from tj-actions/chore/update-diff-sha.sh 2022-12-10 16:50:31 -07:00
Tonye Jack
a817eeece0 chore: update diff-sha.sh 2022-12-10 16:31:17 -07:00
Tonye Jack
b120be5d01 Merge pull request #844 from tj-actions/upgrade-to-v34.5.2
Upgraded to v34.5.2
2022-12-10 13:07:36 -07:00
jackton1
626ad8da53 Upgraded from v34.5.1 -> v34.5.2 2022-12-10 09:07:14 +00:00
Tonye Jack
8356a01788 Merge pull request #843 from tj-actions/fix/unable-to-locate-the-previous-sha 2022-12-10 01:05:01 -07:00
Tonye Jack
a84c8f54f9 Update diff-sha.sh 2022-12-10 00:30:40 -07:00
Tonye Jack
a4f296d02e Update diff-sha.sh 2022-12-10 00:21:14 -07:00
Tonye Jack
33eef1b0ed Update diff-sha.sh 2022-12-10 00:05:52 -07:00
Tonye Jack
ae2404f72e Update diff-sha.sh 2022-12-09 23:58:40 -07:00
Tonye Jack
3f045143ec Update get-changed-paths.sh 2022-12-09 23:53:21 -07:00
Tonye Jack
0707f1b441 Update diff-sha.sh 2022-12-09 23:52:38 -07:00
Tonye Jack
fbc9b61579 Update action.yml 2022-12-09 23:51:25 -07:00
Tonye Jack
ac602e39b8 fix: error verifying the previous commit sha for push event 2022-12-09 23:49:27 -07:00
Tonye Jack
ef32360b2d Merge pull request #841 from tj-actions/chore/rename-env-variable 2022-12-08 14:32:58 -07:00
Tonye Jack
4b60d05705 Update action.yml 2022-12-08 12:43:50 -07:00
Tonye Jack
385d98db73 Update diff-sha.sh 2022-12-08 12:34:38 -07:00
Tonye Jack
8c766cffe7 Update action.yml 2022-12-08 12:32:51 -07:00
repo-ranger[bot]
00cc8e59b9 Merge pull request #839 from tj-actions/upgrade-to-v34.5.1
Upgraded to v34.5.1
2022-12-06 02:16:50 +00:00
jackton1
56a1ce212a Upgraded from v34.5.0 -> v34.5.1 2022-12-06 02:01:30 +00:00
repo-ranger[bot]
baaf598b46 Merge pull request #838 from tj-actions/chore/update-readme
Updated README.md
2022-12-05 22:52:03 +00:00
jackton1
15519b6a6f Updated README.md 2022-12-05 22:19:34 +00:00
Tonye Jack
e9a054c870 Update README.md 2022-12-05 15:17:05 -07:00
Tonye Jack
ed7adeaf22 Update action.yml 2022-12-05 15:15:35 -07:00
repo-ranger[bot]
703a319222 Merge pull request #837 from tj-actions/fix/wrong-changed-files-for-forked-prs
fix: wrong changed files for forked prs
2022-12-05 22:02:59 +00:00
Tonye Jack
e6fbdde201 Update diff-sha.sh 2022-12-05 14:38:37 -07:00
Tonye Jack
860dc31320 Update diff-sha.sh 2022-12-05 14:34:38 -07:00
Tonye Jack
fd5d6c3a2d Update action.yml 2022-12-05 14:30:14 -07:00
Tonye Jack
77fbd5a18c Update diff-sha.sh 2022-12-05 14:29:20 -07:00
Tonye Jack
aba4e5712b Update diff-sha.sh 2022-12-05 14:21:07 -07:00
Tonye Jack
c3642c4a1c Update diff-sha.sh 2022-12-05 13:19:24 -07:00
Tonye Jack
0a207fd892 Merge branch 'main' into fix/wrong-changed-files-for-forked-prs 2022-12-05 09:25:35 -07:00
repo-ranger[bot]
2a74e5e5d4 Merge pull request #835 from tj-actions/fix/determining-the-merge-base
fix: determining the merge base
2022-12-05 08:06:53 +00:00
repo-ranger[bot]
6e85a3501a Merge branch 'main' into fix/determining-the-merge-base 2022-12-05 07:15:19 +00:00
Tonye Jack
660db6c787 Merge pull request #836 from tj-actions/chore/update-readme
Updated README.md
2022-12-05 00:13:35 -07:00
Tonye Jack
a4d22acb20 Updated fetch branch 2022-12-05 00:12:48 -07:00
Tonye Jack
984b4ca567 Merge branch 'fix/determining-the-merge-base' into fix/wrong-changed-files-for-forked-prs 2022-12-05 00:06:11 -07:00
Tonye Jack
477b380579 Updated to use git diff 2022-12-05 00:05:01 -07:00
Tonye Jack
a699a3be4a Fixed test 2022-12-05 00:02:56 -07:00
Tonye Jack
3a46c048f7 Updated formatting 2022-12-05 00:02:15 -07:00
Tonye Jack
d78a469ec7 fix: wrong changed files for forked prs 2022-12-04 23:57:17 -07:00
Tonye Jack
0d9ec12402 Fixed test 2022-12-04 23:54:36 -07:00
repo-ranger[bot]
7e929625a3 Updated README.md 2022-12-05 06:50:05 +00:00
repo-ranger[bot]
c09cd8795d Merge branch 'main' into fix/determining-the-merge-base 2022-12-05 06:48:47 +00:00
repo-ranger[bot]
67482da9c0 Merge pull request #834 from tj-actions/chore/fix-typos
chore: fix typos
2022-12-05 06:47:10 +00:00
Tonye Jack
ef8591de30 Updated to use merge-base 2022-12-04 23:33:22 -07:00
Tonye Jack
f282e19e52 Updated to use merge-base 2022-12-04 23:27:32 -07:00
Tonye Jack
a20b263d03 Updated to use merge-base 2022-12-04 23:16:45 -07:00
Tonye Jack
69b90fbdbe fix: determining the merge-base with limited history. 2022-12-04 23:13:42 -07:00
Tonye Jack
2cf3132a60 Updated action 2022-12-04 23:08:45 -07:00
Tonye Jack
dc7365b27b Updated action 2022-12-04 23:07:38 -07:00
Tonye Jack
d8b80b3b09 chore: fix typos 2022-12-04 23:06:33 -07:00
Tonye Jack
33d8d67443 Update sync-release-version.yml 2022-12-04 22:29:11 -07:00
renovate[bot]
9f74b8c9e2 chore(deps): update tj-actions/auto-doc action to v1.5.0 2022-12-03 19:31:00 -07:00
renovate[bot]
17ce62043e chore(deps): update peter-evans/create-pull-request action to v4.2.3 2022-11-28 03:14:19 -07:00
repo-ranger[bot]
896db63e40 Merge pull request #827 from tj-actions/upgrade-to-v34.5.0
Upgraded to v34.5.0
2022-11-24 05:35:19 +00:00
repo-ranger[bot]
467f657e76 Merge branch 'main' into upgrade-to-v34.5.0 2022-11-24 05:14:58 +00:00
repo-ranger[bot]
efaec6dced Merge pull request #826 from tj-actions/chore/update-readme
Updated README.md
2022-11-24 05:14:24 +00:00
jackton1
5adea4114e Upgraded from v34.4.4 -> v34.5.0 2022-11-24 04:53:36 +00:00
jackton1
02a5f95a79 Updated README.md 2022-11-24 04:46:45 +00:00
Tonye Jack
91e0894f3f Update diff-sha.sh 2022-11-23 21:46:23 -07:00
Tonye Jack
20cff0223e Update action.yml 2022-11-23 21:37:16 -07:00
11 changed files with 389 additions and 204 deletions

View File

@@ -19,9 +19,10 @@ jobs:
git submodule update --remote --recursive
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4.2.2
uses: peter-evans/create-pull-request@v4.2.3
with:
title: "Updated submodule"
labels: "merge when passing"
branch: "chore/update-submodule"
commit-message: "Updated submodule"
body: "Updated submodule"

View File

@@ -26,9 +26,10 @@ jobs:
with:
output: 'HISTORY.md'
- name: Create Pull Request
uses: peter-evans/create-pull-request@v4.2.2
uses: peter-evans/create-pull-request@v4.2.3
with:
base: "main"
labels: "merge when passing"
title: "Upgraded to ${{ steps.sync-release-version.outputs.new_version }}"
branch: "upgrade-to-${{ steps.sync-release-version.outputs.new_version }}"
commit-message: "Upgraded from ${{ steps.sync-release-version.outputs.old_version }} -> ${{ steps.sync-release-version.outputs.new_version }}"

View File

@@ -7,7 +7,6 @@ on:
- "**"
pull_request:
types:
- closed
- opened
- synchronize
- reopened
@@ -26,7 +25,7 @@ jobs:
- name: Checkout to branch
uses: actions/checkout@v3
- name: shellcheck
uses: reviewdog/action-shellcheck@v1.15
uses: reviewdog/action-shellcheck@v1.16
with:
github_token: ${{ secrets.PAT_TOKEN }}
@@ -37,7 +36,7 @@ jobs:
fail-fast: false
max-parallel: 2
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest]
steps:
- name: Checkout into dir1
uses: actions/checkout@v3
@@ -94,7 +93,7 @@ jobs:
fail-fast: false
max-parallel: 2
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest]
steps:
- name: Checkout to branch
@@ -149,7 +148,7 @@ jobs:
fail-fast: false
max-parallel: 4
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest]
steps:
- name: Checkout to branch
@@ -184,7 +183,7 @@ jobs:
fail-fast: false
max-parallel: 4
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest]
steps:
- name: Checkout to branch
@@ -212,7 +211,7 @@ jobs:
fail-fast: false
max-parallel: 4
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest]
fetch-depth: [1, 2]
steps:
@@ -238,7 +237,7 @@ jobs:
fail-fast: false
max-parallel: 4
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest]
steps:
- name: Checkout to branch
@@ -290,7 +289,7 @@ jobs:
fail-fast: false
max-parallel: 4
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest]
steps:
- name: Checkout to branch
@@ -342,7 +341,7 @@ jobs:
fail-fast: false
max-parallel: 4
matrix:
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, ubuntu-18.04, windows-2022]
platform: [ubuntu-latest, ubuntu-22.04, windows-latest, macos-latest, macos-11, windows-2022]
fetch-depth: [0, 1]
steps:
@@ -945,21 +944,21 @@ jobs:
- name: Get branch name
id: branch-name
uses: tj-actions/branch-names@v6
if: github.event_name == 'pull_request'
if: github.event_name == 'pull_request' && matrix.fetch-depth == 0
- uses: nrwl/nx-set-shas@v3
id: last_successful_commit
if: github.event_name == 'pull_request' && github.event.action != 'closed'
if: github.event_name == 'pull_request' && github.event.action != 'closed' && matrix.fetch-depth == 0
with:
main-branch-name: ${{ steps.branch-name.outputs.base_ref_branch }}
workflow-id: 'test.yml'
- name: Run changed-files with a custom base sha
if: github.event_name == 'pull_request' && github.event.action != 'closed'
if: github.event_name == 'pull_request' && github.event.action != 'closed' && matrix.fetch-depth == 0
id: changed-files-custom-base-sha
uses: ./
with:
base_sha: ${{ steps.last_successful_commit.outputs.base }}
- name: Show output
if: github.event_name == 'pull_request' && github.event.action != 'closed'
if: github.event_name == 'pull_request' && github.event.action != 'closed' && matrix.fetch-depth == 0
run: |
echo '${{ toJSON(steps.changed-files-custom-base-sha.outputs) }}'
shell:

View File

@@ -9,18 +9,18 @@ jobs:
sync-assets:
runs-on: ubuntu-latest
steps:
- uses: actions/checkout@v3.1.0
- uses: actions/checkout@v3.2.0
with:
fetch-depth: 0
- name: Run auto-doc
uses: tj-actions/auto-doc@v1.4.3
uses: tj-actions/auto-doc@v1.6.0
- name: Run test
uses: tj-actions/remark@v3
- name: Verify Changed files
uses: tj-actions/verify-changed-files@v12
uses: tj-actions/verify-changed-files@v13
id: verify_changed_files
with:
files: |
@@ -34,9 +34,10 @@ jobs:
- name: Create Pull Request
if: failure()
uses: peter-evans/create-pull-request@v4.2.2
uses: peter-evans/create-pull-request@v4.2.3
with:
base: "main"
labels: "merge when passing"
title: "Updated README.md"
branch: "chore/update-readme"
commit-message: "Updated README.md"

View File

@@ -1,12 +1,174 @@
# Changelog
## [v35.0.0](https://github.com/tj-actions/changed-files/tree/v35.0.0) (2022-12-19)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v35...v35.0.0)
## [v35](https://github.com/tj-actions/changed-files/tree/v35) (2022-12-19)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.6.2...v35)
**Fixed bugs:**
- \[BUG\] Process completed with exit code 1 [\#884](https://github.com/tj-actions/changed-files/issues/884)
- \[BUG\] `changed-files` error during run [\#875](https://github.com/tj-actions/changed-files/issues/875)
**Closed issues:**
- How to see the changed files after the PR is merged ? [\#874](https://github.com/tj-actions/changed-files/issues/874)
**Merged pull requests:**
- Updated README.md [\#885](https://github.com/tj-actions/changed-files/pull/885) ([jackton1](https://github.com/jackton1))
- fix: error retrieving changed files [\#882](https://github.com/tj-actions/changed-files/pull/882) ([jackton1](https://github.com/jackton1))
- fix: fail when the merge base is not found [\#879](https://github.com/tj-actions/changed-files/pull/879) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.6.2 [\#878](https://github.com/tj-actions/changed-files/pull/878) ([jackton1](https://github.com/jackton1))
## [v34.6.2](https://github.com/tj-actions/changed-files/tree/v34.6.2) (2022-12-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.6.2)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-12-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.6.1...v34)
**Fixed bugs:**
- \[BUG\] github actions has depreciated and will remove a feature used in this action 'set-output' see link [\#865](https://github.com/tj-actions/changed-files/issues/865)
**Closed issues:**
- Dependency Dashboard [\#27](https://github.com/tj-actions/changed-files/issues/27)
**Merged pull requests:**
- fix: bug using since\_last\_remote\_commit with force push [\#877](https://github.com/tj-actions/changed-files/pull/877) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#876](https://github.com/tj-actions/changed-files/pull/876) ([jackton1](https://github.com/jackton1))
- chore: update test [\#873](https://github.com/tj-actions/changed-files/pull/873) ([jackton1](https://github.com/jackton1))
- chore: update test dir [\#872](https://github.com/tj-actions/changed-files/pull/872) ([jackton1](https://github.com/jackton1))
- chore: remove ubuntu 18.04 from test [\#871](https://github.com/tj-actions/changed-files/pull/871) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#869](https://github.com/tj-actions/changed-files/pull/869) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update tj-actions/verify-changed-files action to v13 [\#868](https://github.com/tj-actions/changed-files/pull/868) ([renovate[bot]](https://github.com/apps/renovate))
- chore\(deps\): update tj-actions/auto-doc action to v1.6.0 [\#867](https://github.com/tj-actions/changed-files/pull/867) ([renovate[bot]](https://github.com/apps/renovate))
- feat: fallback to fork-point [\#866](https://github.com/tj-actions/changed-files/pull/866) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.6.1 [\#864](https://github.com/tj-actions/changed-files/pull/864) ([jackton1](https://github.com/jackton1))
## [v34.6.1](https://github.com/tj-actions/changed-files/tree/v34.6.1) (2022-12-14)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.6.0...v34.6.1)
**Fixed bugs:**
- \[BUG\] Git fails to authenticate when running locally with nektos/act [\#849](https://github.com/tj-actions/changed-files/issues/849)
**Merged pull requests:**
- Updated README.md [\#863](https://github.com/tj-actions/changed-files/pull/863) ([jackton1](https://github.com/jackton1))
- feat: add support for pulling more history [\#862](https://github.com/tj-actions/changed-files/pull/862) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.6.0 [\#861](https://github.com/tj-actions/changed-files/pull/861) ([jackton1](https://github.com/jackton1))
## [v34.6.0](https://github.com/tj-actions/changed-files/tree/v34.6.0) (2022-12-14)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.4...v34.6.0)
**Fixed bugs:**
- \[BUG\] changed-files-diff-sha prints thousands of lines and takes two minutes to run [\#855](https://github.com/tj-actions/changed-files/issues/855)
- \[BUG\] \(v34.5.4\) Input does not meet YAML 1.2 "Core Schema" specification: head-repo-fork [\#853](https://github.com/tj-actions/changed-files/issues/853)
**Merged pull requests:**
- fix: error with retrieving changed files for closed prs [\#860](https://github.com/tj-actions/changed-files/pull/860) ([jackton1](https://github.com/jackton1))
- fix: error detecting changed files for closed PR's [\#859](https://github.com/tj-actions/changed-files/pull/859) ([jackton1](https://github.com/jackton1))
- fix: bug-changed-files-diff-sha-prints-thousands-of-lines-and-takes-two-minutes-to-run [\#857](https://github.com/tj-actions/changed-files/pull/857) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update reviewdog/action-shellcheck action to v1.16 [\#856](https://github.com/tj-actions/changed-files/pull/856) ([renovate[bot]](https://github.com/apps/renovate))
- Updated README.md [\#854](https://github.com/tj-actions/changed-files/pull/854) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#852](https://github.com/tj-actions/changed-files/pull/852) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.5.4 [\#851](https://github.com/tj-actions/changed-files/pull/851) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update actions/checkout action to v3.2.0 [\#850](https://github.com/tj-actions/changed-files/pull/850) ([renovate[bot]](https://github.com/apps/renovate))
## [v34.5.4](https://github.com/tj-actions/changed-files/tree/v34.5.4) (2022-12-12)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.3...v34.5.4)
**Merged pull requests:**
- chore: update readme [\#848](https://github.com/tj-actions/changed-files/pull/848) ([jackton1](https://github.com/jackton1))
- chore: update error handling [\#847](https://github.com/tj-actions/changed-files/pull/847) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.5.3 [\#846](https://github.com/tj-actions/changed-files/pull/846) ([jackton1](https://github.com/jackton1))
## [v34.5.3](https://github.com/tj-actions/changed-files/tree/v34.5.3) (2022-12-10)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.2...v34.5.3)
**Fixed bugs:**
- \[BUG\] Error: Unable to locate the previous sha: fatal: ambiguous argument 'main': unknown revision or path not in the working tree [\#840](https://github.com/tj-actions/changed-files/issues/840)
**Merged pull requests:**
- chore: update diff-sha.sh [\#845](https://github.com/tj-actions/changed-files/pull/845) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.5.2 [\#844](https://github.com/tj-actions/changed-files/pull/844) ([jackton1](https://github.com/jackton1))
## [v34.5.2](https://github.com/tj-actions/changed-files/tree/v34.5.2) (2022-12-10)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.1...v34.5.2)
**Merged pull requests:**
- fix: error verifying the previous commit sha for push event [\#843](https://github.com/tj-actions/changed-files/pull/843) ([jackton1](https://github.com/jackton1))
- chore: rename env variable [\#841](https://github.com/tj-actions/changed-files/pull/841) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.5.1 [\#839](https://github.com/tj-actions/changed-files/pull/839) ([jackton1](https://github.com/jackton1))
## [v34.5.1](https://github.com/tj-actions/changed-files/tree/v34.5.1) (2022-12-05)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.5.0...v34.5.1)
**Implemented enhancements:**
- \[Feature\] Deprecate usage of `set-output` command and upgrade to environment variable [\#833](https://github.com/tj-actions/changed-files/issues/833)
**Fixed bugs:**
- \[BUG\] set-output call is deprecated [\#831](https://github.com/tj-actions/changed-files/issues/831)
- Unable to find merge-base between master and HEAD\[BUG\] \<title\> [\#830](https://github.com/tj-actions/changed-files/issues/830)
- \[BUG\] Glob not matching changed files [\#829](https://github.com/tj-actions/changed-files/issues/829)
- \[BUG\] Wrong changed-files returned for forked PRs [\#714](https://github.com/tj-actions/changed-files/issues/714)
**Merged pull requests:**
- Updated README.md [\#838](https://github.com/tj-actions/changed-files/pull/838) ([jackton1](https://github.com/jackton1))
- fix: wrong changed files for forked prs [\#837](https://github.com/tj-actions/changed-files/pull/837) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#836](https://github.com/tj-actions/changed-files/pull/836) ([jackton1](https://github.com/jackton1))
- fix: determining the merge base [\#835](https://github.com/tj-actions/changed-files/pull/835) ([jackton1](https://github.com/jackton1))
- chore: fix typos [\#834](https://github.com/tj-actions/changed-files/pull/834) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update tj-actions/auto-doc action to v1.5.0 [\#832](https://github.com/tj-actions/changed-files/pull/832) ([renovate[bot]](https://github.com/apps/renovate))
- chore\(deps\): update peter-evans/create-pull-request action to v4.2.3 [\#828](https://github.com/tj-actions/changed-files/pull/828) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v34.5.0 [\#827](https://github.com/tj-actions/changed-files/pull/827) ([jackton1](https://github.com/jackton1))
- Updated README.md [\#826](https://github.com/tj-actions/changed-files/pull/826) ([jackton1](https://github.com/jackton1))
## [v34.5.0](https://github.com/tj-actions/changed-files/tree/v34.5.0) (2022-11-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.4...v34.5.0)
**Implemented enhancements:**
- \[Feature\] Replace all usage of nrwl/last-successful-commit-action with nrwl/nx-set-shas [\#820](https://github.com/tj-actions/changed-files/issues/820)
- \[Feature\] Unique directories max\_depth option [\#789](https://github.com/tj-actions/changed-files/issues/789)
**Merged pull requests:**
- chore\(deps\): update peter-evans/create-pull-request action to v4.2.2 [\#825](https://github.com/tj-actions/changed-files/pull/825) ([renovate[bot]](https://github.com/apps/renovate))
- Updated README.md [\#824](https://github.com/tj-actions/changed-files/pull/824) ([jackton1](https://github.com/jackton1))
- feat: add support for dir\_names\_max\_depth [\#823](https://github.com/tj-actions/changed-files/pull/823) ([jackton1](https://github.com/jackton1))
- feat: replace all usage of nrwl/last-successful-commit-action with nrwl/nx-set-shas [\#822](https://github.com/tj-actions/changed-files/pull/822) ([jackton1](https://github.com/jackton1))
- chore\(deps\): update peter-evans/create-pull-request action to v4.2.1 [\#821](https://github.com/tj-actions/changed-files/pull/821) ([renovate[bot]](https://github.com/apps/renovate))
- chore: update renovate.json [\#819](https://github.com/tj-actions/changed-files/pull/819) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.4.4 [\#818](https://github.com/tj-actions/changed-files/pull/818) ([jackton1](https://github.com/jackton1))
## [v34.4.4](https://github.com/tj-actions/changed-files/tree/v34.4.4) (2022-11-18)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34...v34.4.4)
## [v34](https://github.com/tj-actions/changed-files/tree/v34) (2022-11-18)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.3...v34)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.4.3...v34.4.4)
**Implemented enhancements:**
@@ -94,17 +256,13 @@
## [v34.3.3](https://github.com/tj-actions/changed-files/tree/v34.3.3) (2022-11-08)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.2...v34.3.3)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.1...v34.3.3)
**Fixed bugs:**
- \[BUG\] Action compares only two latest commits on push [\#783](https://github.com/tj-actions/changed-files/issues/783)
- Detected dubious ownership in repository error when running the action [\#782](https://github.com/tj-actions/changed-files/issues/782)
**Closed issues:**
- Dependency Dashboard [\#27](https://github.com/tj-actions/changed-files/issues/27)
**Merged pull requests:**
- fix: bug with force pushing commits to pr branches [\#787](https://github.com/tj-actions/changed-files/pull/787) ([jackton1](https://github.com/jackton1))
@@ -113,13 +271,13 @@
- chore: update readme [\#784](https://github.com/tj-actions/changed-files/pull/784) ([jackton1](https://github.com/jackton1))
- Upgraded to v34.3.2 [\#781](https://github.com/tj-actions/changed-files/pull/781) ([jackton1](https://github.com/jackton1))
## [v34.3.2](https://github.com/tj-actions/changed-files/tree/v34.3.2) (2022-11-07)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.1...v34.3.2)
## [v34.3.1](https://github.com/tj-actions/changed-files/tree/v34.3.1) (2022-11-07)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.0...v34.3.1)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.2...v34.3.1)
## [v34.3.2](https://github.com/tj-actions/changed-files/tree/v34.3.2) (2022-11-07)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v34.3.0...v34.3.2)
**Fixed bugs:**
@@ -211,7 +369,6 @@
**Fixed bugs:**
- \[BUG\] Action failing on PR with "Unable to find merge-base in shallow clone" [\#737](https://github.com/tj-actions/changed-files/issues/737)
- \[BUG\] Wrong changed-files returned for forked PRs [\#714](https://github.com/tj-actions/changed-files/issues/714)
**Closed issues:**
@@ -315,7 +472,7 @@
## [v33](https://github.com/tj-actions/changed-files/tree/v33) (2022-10-21)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v33)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v33)
**Closed issues:**
@@ -334,13 +491,13 @@
- chore\(deps\): update tj-actions/verify-changed-files action to v12 [\#696](https://github.com/tj-actions/changed-files/pull/696) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v32.1.2 [\#695](https://github.com/tj-actions/changed-files/pull/695) ([jackton1](https://github.com/jackton1))
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.2...v32)
## [v32.1.2](https://github.com/tj-actions/changed-files/tree/v32.1.2) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32.1.2)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32...v32.1.2)
## [v32](https://github.com/tj-actions/changed-files/tree/v32) (2022-10-16)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v32.1.1...v32)
**Fixed bugs:**
@@ -453,7 +610,7 @@
## [v31.0.0](https://github.com/tj-actions/changed-files/tree/v31.0.0) (2022-09-25)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30...v31.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30.0.0...v31.0.0)
**Merged pull requests:**
@@ -466,13 +623,13 @@
- chore: update broken link [\#642](https://github.com/tj-actions/changed-files/pull/642) ([jackton1](https://github.com/jackton1))
- Upgraded to v30.0.0 [\#641](https://github.com/tj-actions/changed-files/pull/641) ([jackton1](https://github.com/jackton1))
## [v30](https://github.com/tj-actions/changed-files/tree/v30) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30.0.0...v30)
## [v30.0.0](https://github.com/tj-actions/changed-files/tree/v30.0.0) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29...v30.0.0)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v30...v30.0.0)
## [v30](https://github.com/tj-actions/changed-files/tree/v30) (2022-09-24)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.9...v30)
**Fixed bugs:**
@@ -488,13 +645,13 @@
- chore\(deps\): update codacy/codacy-analysis-cli-action action to v4.2.0 [\#634](https://github.com/tj-actions/changed-files/pull/634) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v29.0.9 [\#633](https://github.com/tj-actions/changed-files/pull/633) ([jackton1](https://github.com/jackton1))
## [v29](https://github.com/tj-actions/changed-files/tree/v29) (2022-09-20)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.9...v29)
## [v29.0.9](https://github.com/tj-actions/changed-files/tree/v29.0.9) (2022-09-20)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.8...v29.0.9)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29...v29.0.9)
## [v29](https://github.com/tj-actions/changed-files/tree/v29) (2022-09-20)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v29.0.8...v29)
**Implemented enhancements:**
@@ -1937,7 +2094,7 @@
## [v7](https://github.com/tj-actions/changed-files/tree/v7) (2021-06-09)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v7)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v7)
**Closed issues:**
@@ -1953,13 +2110,13 @@
- Update tj-actions/sync-release-version action to v8.7 [\#86](https://github.com/tj-actions/changed-files/pull/86) ([renovate[bot]](https://github.com/apps/renovate))
- Upgraded to v6.3 [\#85](https://github.com/tj-actions/changed-files/pull/85) ([jackton1](https://github.com/jackton1))
## [v6.3](https://github.com/tj-actions/changed-files/tree/v6.3) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6...v6.3)
## [v6](https://github.com/tj-actions/changed-files/tree/v6) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.3...v6)
## [v6.3](https://github.com/tj-actions/changed-files/tree/v6.3) (2021-05-26)
[Full Changelog](https://github.com/tj-actions/changed-files/compare/v6.2...v6.3)
**Merged pull requests:**

182
README.md
View File

@@ -15,7 +15,7 @@
## changed-files
Retrieve all changed files and directories relative to the target branch or the last remote commit returning the **absolute path** from the project root.
Retrieve all changed files and directories relative to the target branch or the last remote commit returning the **absolute paths** from the project root.
## Features
@@ -23,9 +23,9 @@ Retrieve all changed files and directories relative to the target branch or the
* Easy to debug.
* Scales to large repositories.
* Git submodules support.
* No extra API calls.
* Escaped JSON Output which can be used for running matrix jobs based on changed files.
* List only changed directories.
* Optionally list only changed directories.
* Restrict the max depth of changed directories.
* Monorepos (Fetches only the last remote commit).
* Supports all platforms (Linux, MacOS, Windows).
* [GitHub-hosted runners](https://docs.github.com/en/actions/using-github-hosted-runners/about-github-hosted-runners) support
@@ -63,6 +63,7 @@ on:
branches:
- main
jobs:
build:
runs-on: ubuntu-latest # windows-latest | macos-latest
@@ -75,7 +76,7 @@ jobs:
# Example 1
- name: Get changed files
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
- name: List all changed files
run: |
@@ -86,7 +87,7 @@ jobs:
# Example 2
- name: Get changed files in the docs folder
id: changed-files-specific
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
files: |
docs/**
@@ -127,29 +128,29 @@ Support this project with a :star:
<!-- AUTO-DOC-OUTPUT:START - Do not remove or modify this section -->
| OUTPUT | TYPE | DESCRIPTION |
|--------------------------------|--------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| added\_files | string | Returns only files that are<br>Added (A). |
| all\_changed\_and\_modified\_files | string | Returns all changed and modified<br>files i.e. *a combination of<br>(ACMRDTUX)* |
| all\_changed\_files | string | Returns all changed files i.e.<br>*a combination of all added,<br>copied, modified and renamed files<br>(ACMR)* |
| all\_modified\_files | string | Returns all changed files i.e.<br>*a combination of all added,<br>copied, modified, renamed and deleted<br>files (ACMRD)*. |
| all\_old\_new\_renamed\_files | string | Returns only files that are<br>Renamed and list their old<br>and new names. **NOTE:** This<br>requires setting `include_all_old_new_renamed_files` to `true`<br>(R) |
| any\_changed | string | Returns `true` when any of<br>the filenames provided using the<br>`files` input has changed. If<br>no `files` have been specified,an<br>empty string `''` is returned.<br>i.e. *using a combination of<br>all added, copied, modified and<br>renamed files (ACMR)*. |
| any\_deleted | string | Returns `true` when any of<br>the filenames provided using the<br>`files` input has been deleted.<br>If no `files` have been<br>specified,an empty string `''` is<br>returned. (D) |
| any\_modified | string | Returns `true` when any of<br>the filenames provided using the<br>`files` input has been modified.<br>If no `files` have been<br>specified,an empty string `''` is<br>returned. i.e. *using a combination<br>of all added, copied, modified,<br>renamed, and deleted files (ACMRD)*.<br> |
| copied\_files | string | Returns only files that are<br>Copied (C). |
| deleted\_files | string | Returns only files that are<br>Deleted (D). |
| modified\_files | string | Returns only files that are<br>Modified (M). |
| only\_changed | string | Returns `true` when only files<br>provided using the `files` input<br>has changed. If no `files`<br>have been specified,an empty string<br>`''` is returned. i.e. *using<br>a combination of all added,<br>copied, modified and renamed files<br>(ACMR)*. |
| only\_deleted | string | Returns `true` when only files<br>provided using the `files` input<br>has been deleted. If no<br>`files` have been specified,an empty<br>string `''` is returned. (D)<br> |
| only\_modified | string | Returns `true` when only files<br>provided using the `files` input<br>has been modified. If no<br>`files` have been specified,an empty<br>string `''` is returned.(ACMRD). |
| other\_changed\_files | string | Returns all other changed files<br>not listed in the files<br>input i.e. *using a combination<br>of all added, copied, modified<br>and renamed files (ACMR)*. |
| other\_deleted\_files | string | Returns all other deleted files<br>not listed in the files<br>input i.e. *a combination of<br>all deleted files (D)* |
| other\_modified\_files | string | Returns all other modified files<br>not listed in the files<br>input i.e. *a combination of<br>all added, copied, modified, and<br>deleted files (ACMRD)* |
| renamed\_files | string | Returns only files that are<br>Renamed (R). |
| type\_changed\_files | string | Returns only files that have<br>their file type changed (T).<br> |
| unknown\_files | string | Returns only files that are<br>Unknown (X). |
| unmerged\_files | string | Returns only files that are<br>Unmerged (U). |
| OUTPUT | TYPE | DESCRIPTION |
|--------------------------------|--------|--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| added\_files | string | Returns only files that are Added (A).<br> |
| all\_changed\_and\_modified\_files | string | Returns all changed and modified files i.e.<br>*a combination of (ACMRDTUX)* |
| all\_changed\_files | string | Returns all changed files i.e. *a combination<br>of all added, copied, modified and renamed<br>files (ACMR)* |
| all\_modified\_files | string | Returns all changed files i.e. *a combination<br>of all added, copied, modified, renamed and<br>deleted files (ACMRD)*. |
| all\_old\_new\_renamed\_files | string | Returns only files that are Renamed and<br>list their old and new names. **NOTE:**<br>This requires setting `include_all_old_new_renamed_files` to `true` (R)<br> |
| any\_changed | string | Returns `true` when any of the filenames<br>provided using the `files` input has changed.<br>If no `files` have been specified,an empty<br>string `''` is returned. i.e. *using a<br>combination of all added, copied, modified and<br>renamed files (ACMR)*. |
| any\_deleted | string | Returns `true` when any of the filenames<br>provided using the `files` input has been<br>deleted. If no `files` have been specified,an<br>empty string `''` is returned. (D) |
| any\_modified | string | Returns `true` when any of the filenames<br>provided using the `files` input has been<br>modified. If no `files` have been specified,an<br>empty string `''` is returned. i.e. *using<br>a combination of all added, copied, modified,<br>renamed, and deleted files (ACMRD)*. |
| copied\_files | string | Returns only files that are Copied (C).<br> |
| deleted\_files | string | Returns only files that are Deleted (D).<br> |
| modified\_files | string | Returns only files that are Modified (M).<br> |
| only\_changed | string | Returns `true` when only files provided using<br>the `files` input has changed. If no<br>`files` have been specified,an empty string `''`<br>is returned. i.e. *using a combination of<br>all added, copied, modified and renamed files<br>(ACMR)*. |
| only\_deleted | string | Returns `true` when only files provided using<br>the `files` input has been deleted. If<br>no `files` have been specified,an empty string<br>`''` is returned. (D) |
| only\_modified | string | Returns `true` when only files provided using<br>the `files` input has been modified. If<br>no `files` have been specified,an empty string<br>`''` is returned.(ACMRD). |
| other\_changed\_files | string | Returns all other changed files not listed<br>in the files input i.e. *using a<br>combination of all added, copied, modified and<br>renamed files (ACMR)*. |
| other\_deleted\_files | string | Returns all other deleted files not listed<br>in the files input i.e. *a combination<br>of all deleted files (D)* |
| other\_modified\_files | string | Returns all other modified files not listed<br>in the files input i.e. *a combination<br>of all added, copied, modified, and deleted<br>files (ACMRD)* |
| renamed\_files | string | Returns only files that are Renamed (R).<br> |
| type\_changed\_files | string | Returns only files that have their file<br>type changed (T). |
| unknown\_files | string | Returns only files that are Unknown (X).<br> |
| unmerged\_files | string | Returns only files that are Unmerged (U).<br> |
<!-- AUTO-DOC-OUTPUT:END -->
@@ -157,31 +158,30 @@ Support this project with a :star:
<!-- AUTO-DOC-INPUT:START - Do not remove or modify this section -->
| INPUT | TYPE | REQUIRED | DEFAULT | DESCRIPTION |
|-----------------------------------|--------|----------|-----------------------|------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| base\_sha | string | false | | Specify a different base commit<br>SHA used for comparing changes<br> |
| diff\_relative | string | false | | Exclude changes outside the current<br>directory and show pathnames relative<br>to it. **NOTE:** This requires<br>you to specify the top<br>level directory via the `path`<br>input. |
| dir\_names | string | false | `"false"` | Output unique changed directories instead<br>of filenames. **NOTE:** This returns<br>`.` for changed files located<br>in the root of the<br>project. |
| dir\_names\_max\_depth | string | false | | Maximum depth of directories to<br>output. e.g test/test1/test2 with max<br>depth of 2 returns test/test1<br> |
| fetch\_depth | string | false | `"40"` | Initial depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| files | string | false | | File and directory patterns to<br>detect changes using only these<br>list of file(s) (Defaults to<br>the entire repo) **NOTE:** Multiline<br>file/directory patterns should not include<br>qoutes. |
| files\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files` input. |
| files\_ignore | string | false | | Ignore changes to these file(s)<br>**NOTE:** Multiline file/directory patterns should<br>not include qoutes. |
| files\_ignore\_from\_source\_file | string | false | | Source file(s) used to populate<br>the `files_ignore` input |
| files\_ignore\_separator | string | false | `"\n"` | Separator used to split the<br>`files-ignore` input |
| files\_separator | string | false | `"\n"` | Separator used to split the<br>`files` input |
| include\_all\_old\_new\_renamed\_files | string | false | `"false"` | Include `all_old_new_renamed_files` output. Note this<br>can generate a large output<br>See: [#501](https://github.com/tj-actions/changed-files/issues/501). |
| json | string | false | `"false"` | Output list of changed files<br>in a JSON formatted string<br>which can be used for<br>matrix jobs. |
| max\_fetch\_depth | string | false | `"5000"` | Maximum depth of the branch<br>history fetched. **NOTE**: This can<br>be adjusted to resolve errors<br>with insufficient history. |
| old\_new\_files\_separator | string | false | `" "` | Split character for multiple old<br>and new filename pairs. |
| old\_new\_separator | string | false | `","` | Split character for old and<br>new filename pairs. |
| path | string | false | `"."` | Specify a relative path under<br>`$GITHUB_WORKSPACE` to locate the repository.<br> |
| quotepath | string | false | `"true"` | Use non ascii characters to<br>match files and output the<br>filenames completely verbatim by setting<br>this to `false` |
| separator | string | false | `" "` | Split character for output strings<br> |
| sha | string | false | `"${{ github.sha }}"` | Specify a different commit SHA<br>used for comparing changes |
| since | string | false | | Get changed files for commits<br>whose timestamp is older than<br>the given time. |
| since\_last\_remote\_commit | string | true | `"false"` | Use the last commit on<br>the remote branch as the<br>`base_sha`. Defaults to the last<br>non merge commit on the<br>target branch for pull request<br>events and the previous commit<br>of the current branch for<br>push events. |
| until | string | false | | Get changed files for commits<br>whose timestamp is earlier than<br>the given time. |
| INPUT | TYPE | REQUIRED | DEFAULT | DESCRIPTION |
|-----------------------------------|--------|----------|-----------------------|-------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| base\_sha | string | false | | Specify a different base commit SHA used<br>for comparing changes |
| diff\_relative | string | false | | Exclude changes outside the current directory and<br>show path names relative to it. **NOTE:**<br>This requires you to specify the top<br>level directory via the `path` input. |
| dir\_names | string | false | `"false"` | Output unique changed directories instead of filenames.<br>**NOTE:** This returns `.` for changed files<br>located in the root of the project.<br> |
| dir\_names\_max\_depth | string | false | | Maximum depth of directories to output. e.g<br>`test/test1/test2` with max depth of `2` returns<br>`test/test1`. |
| fetch\_depth | string | false | `"50"` | Depth of additional branch history fetched. **NOTE**:<br>This can be adjusted to resolve errors<br>with insufficient history. |
| files | string | false | | File and directory patterns to detect changes<br>using only these list of file(s) (Defaults<br>to the entire repo) **NOTE:** Multiline file/directory<br>patterns should not include quotes. |
| files\_from\_source\_file | string | false | | Source file(s) used to populate the `files`<br>input. |
| files\_ignore | string | false | | Ignore changes to these file(s) **NOTE:** Multiline<br>file/directory patterns should not include quotes. |
| files\_ignore\_from\_source\_file | string | false | | Source file(s) used to populate the `files_ignore`<br>input |
| files\_ignore\_separator | string | false | `"\n"` | Separator used to split the `files_ignore` input<br> |
| files\_separator | string | false | `"\n"` | Separator used to split the `files` input<br> |
| include\_all\_old\_new\_renamed\_files | string | false | `"false"` | Include `all_old_new_renamed_files` output. Note this can generate<br>a large output See: [#501](https://github.com/tj-actions/changed-files/issues/501). |
| json | string | false | `"false"` | Output list of changed files in a<br>JSON formatted string which can be used<br>for matrix jobs. |
| old\_new\_files\_separator | string | false | `" "` | Split character for old and new renamed<br>filename pairs. |
| old\_new\_separator | string | false | `","` | Split character for old and new filename<br>pairs. |
| path | string | false | `"."` | Specify a relative path under `$GITHUB_WORKSPACE` to<br>locate the repository. |
| quotepath | string | false | `"true"` | Use non ascii characters to match files<br>and output the filenames completely verbatim by<br>setting this to `false` |
| separator | string | false | `" "` | Split character for output strings |
| sha | string | false | `"${{ github.sha }}"` | Specify a different commit SHA used for<br>comparing changes |
| since | string | false | | Get changed files for commits whose timestamp<br>is older than the given time. |
| since\_last\_remote\_commit | string | true | `"false"` | Use the last commit on the remote<br>branch as the `base_sha`. Defaults to the<br>last non merge commit on the target<br>branch for pull request events and the<br>previous remote commit of the current branch<br>for push events. |
| until | string | false | | Get changed files for commits whose timestamp<br>is earlier than the given time. |
<!-- AUTO-DOC-INPUT:END -->
@@ -194,7 +194,7 @@ Support this project with a :star:
...
- name: Get changed files
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
...
```
@@ -207,7 +207,7 @@ Support this project with a :star:
...
- name: Get all changed files and use a comma separator in the output
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
separator: ","
...
@@ -224,7 +224,7 @@ See [inputs](#inputs) for more information.
...
- name: Get changed files
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
- name: List all added files
run: |
@@ -245,7 +245,7 @@ See [outputs](#outputs) for a list of all available outputs.
...
- name: Get changed files
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
- name: Run a step if my-file.txt was modified
if: contains(steps.changed-files.outputs.modified_files, 'my-file.txt')
@@ -265,7 +265,7 @@ See [outputs](#outputs) for a list of all available outputs.
...
- name: Get changed files
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
files: |
my-file.txt
@@ -288,7 +288,7 @@ See [inputs](#inputs) for more information.
...
- name: Get changed files
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
files: |
my-file.txt
@@ -335,7 +335,7 @@ See [outputs](#outputs) for a list of all available outputs.
...
- name: Get changed files using a source file or list of file(s) to populate to files input.
id: changed-files-specific-source-file
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
files_from_source_file: test/changed-files-list.txt
...
@@ -352,7 +352,7 @@ See [inputs](#inputs) for more information.
...
- name: Get changed files using a source file or list of file(s) to populate to files input and optionally specify more files.
id: changed-files-specific-source-file-and-specify-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
files_from_source_file: |
test/changed-files-list.txt
@@ -373,7 +373,7 @@ See [inputs](#inputs) for more information.
...
- name: Get changed files using a different SHA
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
sha: ${{ github.event.pull_request.head.sha }}
...
@@ -390,7 +390,7 @@ See [inputs](#inputs) for more information.
...
- name: Get changed files using a different base SHA
id: changed-files
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
base_sha: ${{ github.event.pull_request.base.sha }}
...
@@ -413,7 +413,7 @@ See [inputs](#inputs) for more information.
- name: Run changed-files with defaults in dir1
id: changed-files-for-dir1
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
path: dir1
@@ -436,7 +436,7 @@ See [inputs](#inputs) for more information.
...
- name: Run changed-files with quotepath disabled
id: changed-files-quotepath
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
quotepath: "false"
@@ -475,7 +475,7 @@ See [inputs](#inputs) for more information.
- name: Run changed-files with the commit of the last successful test workflow run
id: changed-files-base-sha-push
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
base_sha: ${{ steps.last_successful_commit_push.outputs.base }}
...
@@ -502,7 +502,7 @@ See [inputs](#inputs) for more information.
- name: Run changed-files with the commit of the last successful test workflow run on main
id: changed-files-base-sha-pull-request
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
base_sha: ${{ steps.last_successful_commit_pull_request.outputs.base }}
...
@@ -526,7 +526,7 @@ See [inputs](#inputs) for more information.
...
- name: Run changed-files with dir_names
id: changed-files-dir-names
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
dir_names: "true"
...
@@ -543,7 +543,7 @@ See [inputs](#inputs) for more information.
...
- name: Run changed-files with json output
id: changed-files-json
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
json: "true"
...
@@ -560,13 +560,13 @@ See [inputs](#inputs) for more information.
...
- name: Get changed-files since 2022-08-19
id: changed-files-since
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
since: "2022-08-19"
- name: Get changed-files until 2022-08-20
id: changed-files-until
uses: tj-actions/changed-files@v34
uses: tj-actions/changed-files@v35
with:
until: "2022-08-20"
...
@@ -591,17 +591,53 @@ See [inputs](#inputs) for more information.
> However, this action will handle spaces in file names, with a recommendation of using a separator to prevent hidden issues.
> ![Screen Shot 2021-10-23 at 9 37 34 AM](https://user-images.githubusercontent.com/17484350/138558767-b13c90bf-a1ae-4e86-9520-70a6a4624f41.png)
## Migration guide
With the switch from using grep's Extended regex to match files to the natively supported workflow glob pattern matching syntax introduced in [v13](https://github.com/tj-actions/changed-files/releases/tag/v13) you'll need to modify patterns used to match `files`.
**BEFORE**
```yml
...
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v12.2
with:
files: |
\.sh$
.(sql|py)$
^(mynewfile|custom)
```
**AFTER**
```yml
...
- name: Get specific changed files
id: changed-files-specific
uses: tj-actions/changed-files@v24
with:
files: |
*.sh
*.sql
*.py
mynewfile
custom/**
```
## Credits
This package was created with [Cookiecutter](https://github.com/cookiecutter/cookiecutter).
* [tj-actions/glob](https://github.com/tj-actions/glob)
* [tj-actions/auto-doc](https://github.com/tj-actions/auto-doc)
* [tj-actions/verify-changed-files](https://github.com/tj-actions/verify-changed-files)
* [tj-actions/demo](https://github.com/tj-actions/demo)
* [tj-actions/demo2](https://github.com/tj-actions/demo2)
* [tj-actions/demo3](https://github.com/tj-actions/demo3)
* [tj-actions/release-tagger](https://github.com/tj-actions/release-tagger)
* [tj-actions/auto-doc](https://github.com/tj-actions/auto-doc)
* [tj-actions/verify-changed-files](https://github.com/tj-actions/verify-changed-files)
## Report Bugs

View File

@@ -16,7 +16,7 @@ inputs:
required: false
default: ","
old_new_files_separator:
description: "Split character for multiple old and new filename pairs."
description: "Split character for old and new renamed filename pairs."
required: false
default: " "
files_from_source_file:
@@ -24,7 +24,7 @@ inputs:
required: false
default: ""
files:
description: "File and directory patterns to detect changes using only these list of file(s) (Defaults to the entire repo) **NOTE:** Multiline file/directory patterns should not include qoutes."
description: "File and directory patterns to detect changes using only these list of file(s) (Defaults to the entire repo) **NOTE:** Multiline file/directory patterns should not include quotes."
required: false
default: ""
files_separator:
@@ -32,11 +32,11 @@ inputs:
default: "\n"
required: false
files_ignore:
description: "Ignore changes to these file(s) **NOTE:** Multiline file/directory patterns should not include qoutes."
description: "Ignore changes to these file(s) **NOTE:** Multiline file/directory patterns should not include quotes."
required: false
default: ""
files_ignore_separator:
description: "Separator used to split the `files-ignore` input"
description: "Separator used to split the `files_ignore` input"
default: "\n"
required: false
files_ignore_from_source_file:
@@ -67,29 +67,25 @@ inputs:
default: "true"
required: false
diff_relative:
description: "Exclude changes outside the current directory and show pathnames relative to it. **NOTE:** This requires you to specify the top level directory via the `path` input."
description: "Exclude changes outside the current directory and show path names relative to it. **NOTE:** This requires you to specify the top level directory via the `path` input."
required: false
dir_names:
default: "false"
description: "Output unique changed directories instead of filenames. **NOTE:** This returns `.` for changed files located in the root of the project."
required: false
dir_names_max_depth:
description: "Maximum depth of directories to output. e.g test/test1/test2 with max depth of 2 returns test/test1"
description: "Maximum depth of directories to output. e.g `test/test1/test2` with max depth of `2` returns `test/test1`."
required: false
json:
description: "Output list of changed files in a JSON formatted string which can be used for matrix jobs."
required: false
default: "false"
fetch_depth:
description: "Initial depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
description: "Depth of additional branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
required: false
default: "40"
max_fetch_depth:
description: "Maximum depth of the branch history fetched. **NOTE**: This can be adjusted to resolve errors with insufficient history."
required: false
default: "5000"
default: "50"
since_last_remote_commit:
description: "Use the last commit on the remote branch as the `base_sha`. Defaults to the last non merge commit on the target branch for pull request events and the previous commit of the current branch for push events."
description: "Use the last commit on the remote branch as the `base_sha`. Defaults to the last non merge commit on the target branch for pull request events and the previous remote commit of the current branch for push events."
required: true
default: "false"
@@ -173,9 +169,14 @@ runs:
GITHUB_BASE_REF: ${{ github.base_ref }}
GITHUB_HEAD_REF: ${{ github.head_ref }}
GITHUB_WORKSPACE: ${{ github.workspace }}
GITHUB_EVENT_NUMBER: ${{ github.event.number }}
GITHUB_EVENT_HEAD_REPO_FORK: ${{ github.event.pull_request.head.repo.fork }}
GITHUB_EVENT_PULL_REQUEST_BASE_SHA: ${{ github.event.pull_request.base.sha }}
GITHUB_EVENT_PULL_REQUEST_HEAD_SHA: ${{ github.event.pull_request.head.sha }}
GITHUB_EVENT_PULL_REQUEST_COMMITS: ${{ github.event.pull_request.commits }}
GITHUB_EVENT_BEFORE: ${{ github.event.before }}
GITHUB_EVENT_FORCED: ${{ github.event.forced }}
GITHUB_REFNAME: ${{ github.ref_name }}
# INPUT_<VARIABLE_NAME> is not available in Composite run steps
# https://docs.github.com/en/actions/creating-actions/metadata-syntax-for-github-actions#example-specifying-inputs
INPUT_SHA: ${{ inputs.sha }}
@@ -184,7 +185,6 @@ runs:
INPUT_UNTIL: ${{ inputs.until }}
INPUT_PATH: ${{ inputs.path }}
INPUT_FETCH_DEPTH: ${{ inputs.fetch_depth }}
INPUT_MAX_FETCH_DEPTH: ${{ inputs.max_fetch_depth }}
INPUT_SINCE_LAST_REMOTE_COMMIT: ${{ inputs.since_last_remote_commit }}
- name: Glob match
uses: tj-actions/glob@v16
@@ -200,6 +200,7 @@ runs:
working-directory: ${{ inputs.path }}
base-sha: ${{ steps.changed-files-diff-sha.outputs.previous_sha }}
sha: ${{ steps.changed-files-diff-sha.outputs.current_sha }}
diff: ${{ steps.changed-files-diff-sha.outputs.diff }}
include-deleted-files: true
separator: "|"
- run: |
@@ -209,6 +210,7 @@ runs:
env:
GITHUB_WORKSPACE: ${{ github.workspace }}
GITHUB_BASE_REF: ${{ github.base_ref }}
GITHUB_EVENT_HEAD_REPO_FORK: ${{ github.event.pull_request.head.repo.fork }}
# INPUT_<VARIABLE_NAME> is not available in Composite run steps
# https://docs.github.com/en/actions/creating-actions/metadata-syntax-for-github-actions#example-specifying-inputs
INPUT_FILES_PATTERN_FILE: ${{ steps.glob.outputs.paths-output-file }}
@@ -218,6 +220,7 @@ runs:
INPUT_CURRENT_SHA: ${{ steps.changed-files-diff-sha.outputs.current_sha }}
INPUT_TARGET_BRANCH: ${{ steps.changed-files-diff-sha.outputs.target_branch }}
INPUT_CURRENT_BRANCH: ${{ steps.changed-files-diff-sha.outputs.current_branch }}
INPUT_DIFF: ${{ steps.changed-files-diff-sha.outputs.diff }}
INPUT_QUOTEPATH: ${{ inputs.quotepath }}
INPUT_INCLUDE_ALL_OLD_NEW_RENAMED_FILES: ${{ inputs.include_all_old_new_renamed_files }}
INPUT_OLD_NEW_SEPARATOR: ${{ inputs.old_new_separator }}

View File

@@ -4,12 +4,17 @@ set -euo pipefail
INITIAL_COMMIT="false"
GITHUB_OUTPUT=${GITHUB_OUTPUT:-""}
EXTRA_ARGS="--no-tags"
EXTRA_ARGS="--no-tags --prune --no-recurse-submodules"
PREVIOUS_SHA=""
CURRENT_SHA=""
DIFF="..."
if [[ "$GITHUB_REF" == "refs/tags/"* ]]; then
EXTRA_ARGS=""
EXTRA_ARGS="--prune --no-recurse-submodules"
fi
if [[ -z $GITHUB_BASE_REF || "$GITHUB_EVENT_HEAD_REPO_FORK" == "true" ]]; then
DIFF=".."
fi
echo "::group::changed-files-diff-sha"
@@ -47,6 +52,8 @@ fi
if [[ -z $GITHUB_BASE_REF ]]; then
echo "Running on a push event..."
TARGET_BRANCH=$GITHUB_REFNAME
CURRENT_BRANCH=$TARGET_BRANCH
echo "::debug::Getting HEAD SHA..."
if [[ -n "$INPUT_UNTIL" ]]; then
@@ -59,17 +66,14 @@ if [[ -z $GITHUB_BASE_REF ]]; then
fi
else
if [[ -z $INPUT_SHA ]]; then
CURRENT_SHA=$(git rev-list -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
CURRENT_SHA=$(git rev-list -n 1 HEAD) && exit_status=$? || exit_status=$?
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH"
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH" origin "$CURRENT_BRANCH" 1>/dev/null 2>&1
CURRENT_SHA=$INPUT_SHA; exit_status=$?
fi
fi
TARGET_BRANCH=$(git name-rev --name-only "$CURRENT_SHA" 2>&1) && exit_status=$? || exit_status=$?
CURRENT_BRANCH=$TARGET_BRANCH && exit_status=$? || exit_status=$?
echo "::debug::Verifying the current commit SHA: $CURRENT_SHA"
git rev-parse --quiet --verify "$CURRENT_SHA^{commit}" 1>/dev/null 2>&1 && exit_status=$? || exit_status=$?
@@ -98,7 +102,7 @@ if [[ -z $GITHUB_BASE_REF ]]; then
PREVIOUS_SHA=$GITHUB_EVENT_BEFORE
fi
else
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$(git rev-list -n 1 "$TARGET_BRANCH") && exit_status=$? || exit_status=$?
if [[ -z "$PREVIOUS_SHA" ]]; then
if [[ "$GITHUB_EVENT_FORCED" == "false" || -z "$GITHUB_EVENT_FORCED" ]]; then
@@ -121,14 +125,14 @@ if [[ -z $GITHUB_BASE_REF ]]; then
fi
else
if [[ -z "$PREVIOUS_SHA" ]]; then
echo "::error::Unable to locate a previous commit"
echo "::error::Unable to locate a previous commit."
exit 1
fi
fi
fi
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH"
git fetch $EXTRA_ARGS -u --progress --deepen="$INPUT_FETCH_DEPTH" origin "$CURRENT_BRANCH" 1>/dev/null 2>&1
PREVIOUS_SHA=$INPUT_BASE_SHA
fi
@@ -153,15 +157,8 @@ else
fi
echo "Fetching remote refs..."
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "false" ]]; then
# shellcheck disable=SC2086
git fetch -u --progress $EXTRA_ARGS --depth="$INPUT_FETCH_DEPTH" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH"
git branch --track "$TARGET_BRANCH" origin/"$TARGET_BRANCH" 2>/dev/null || true
else
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --depth="$INPUT_FETCH_DEPTH" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH"
fi
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress origin pull/"$GITHUB_EVENT_NUMBER"/head:"$CURRENT_BRANCH" 1>/dev/null 2>&1
echo "::debug::Getting HEAD SHA..."
if [[ -n "$INPUT_UNTIL" ]]; then
@@ -174,9 +171,13 @@ else
fi
else
if [[ -z $INPUT_SHA ]]; then
CURRENT_SHA=$(git rev-list --no-merges -n 1 HEAD 2>&1) && exit_status=$? || exit_status=$?
CURRENT_SHA=$(git rev-list -n 1 HEAD) && exit_status=$? || exit_status=$?
else
CURRENT_SHA=$INPUT_SHA; exit_status=$?
if [[ "$CURRENT_SHA" == "$GITHUB_EVENT_PULL_REQUEST_HEAD_SHA" ]]; then
CURRENT_SHA=$(git rev-list -n 1 HEAD) && exit_status=$? || exit_status=$?
fi
fi
fi
@@ -196,15 +197,16 @@ else
PREVIOUS_SHA=$GITHUB_EVENT_BEFORE
if ! git rev-parse --quiet --verify "$PREVIOUS_SHA^{commit}" 1>/dev/null 2>&1; then
# shellcheck disable=SC2046
PREVIOUS_SHA=$(git rev-parse origin/"$CURRENT_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
PREVIOUS_SHA=$GITHUB_EVENT_PULL_REQUEST_BASE_SHA
fi
else
PREVIOUS_SHA=$GITHUB_EVENT_PULL_REQUEST_BASE_SHA && exit_status=$? || exit_status=$?
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git rev-parse origin/"$TARGET_BRANCH" 2>&1) && exit_status=$? || exit_status=$?
fi
echo "::debug::Fetching remote target branch..."
# shellcheck disable=SC2086
git fetch -u --progress $EXTRA_ARGS --depth="$INPUT_FETCH_DEPTH" origin +refs/heads/"$TARGET_BRANCH":refs/remotes/origin/"$TARGET_BRANCH" 1>/dev/null 2>&1
git branch --track "$TARGET_BRANCH" origin/"$TARGET_BRANCH" 1>/dev/null 2>&1 || true
PREVIOUS_SHA=$(git merge-base "$TARGET_BRANCH" "$CURRENT_SHA") && exit_status=$? || exit_status=$?
fi
if [[ -z "$PREVIOUS_SHA" || "$PREVIOUS_SHA" == "$CURRENT_SHA" ]]; then
@@ -216,32 +218,19 @@ else
PREVIOUS_SHA=$INPUT_BASE_SHA && exit_status=$? || exit_status=$?
fi
echo "::debug::Target branch: $TARGET_BRANCH"
echo "::debug::Current branch: $CURRENT_BRANCH"
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA$DIFF$CURRENT_SHA" 1>/dev/null 2>&1; then
PREVIOUS_SHA=$(git rev-parse "$TARGET_BRANCH") && exit_status=$? || exit_status=$?
DIFF=".."
if [[ "$INPUT_SINCE_LAST_REMOTE_COMMIT" == "false" ]]; then
if [[ -f .git/shallow ]]; then
depth=$INPUT_FETCH_DEPTH
max_depth=$INPUT_MAX_FETCH_DEPTH
while ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA"..."$CURRENT_SHA" 1>/dev/null; do
echo "Fetching $depth commits..."
# shellcheck disable=SC2086
git fetch $EXTRA_ARGS -u --progress --deepen="$depth" origin +"$GITHUB_REF":refs/remotes/origin/"$CURRENT_BRANCH"
if [[ $depth -gt $max_depth ]]; then
echo "::error::Unable to locate a common ancestor between $TARGET_BRANCH and $CURRENT_SHA"
exit 1
fi
depth=$((depth + 300))
done
else
echo "::debug::Not a shallow clone, skipping merge-base check."
if ! git diff --name-only --ignore-submodules=all "$PREVIOUS_SHA$DIFF$CURRENT_SHA" 1>/dev/null 2>&1; then
echo "::error::Unable find a diff between $PREVIOUS_SHA and $CURRENT_SHA"
exit 1
fi
fi
echo "::debug::Target branch: $TARGET_BRANCH"
echo "::debug::Current branch: $CURRENT_BRANCH"
echo "::debug::Verifying the previous commit SHA: $PREVIOUS_SHA"
git rev-parse --quiet --verify "$PREVIOUS_SHA^{commit}" 1>/dev/null 2>&1 && exit_status=$? || exit_status=$?
@@ -263,12 +252,14 @@ if [[ -z "$GITHUB_OUTPUT" ]]; then
echo "::set-output name=current_branch::$CURRENT_BRANCH"
echo "::set-output name=previous_sha::$PREVIOUS_SHA"
echo "::set-output name=current_sha::$CURRENT_SHA"
echo "::set-output name=diff::$DIFF"
else
cat <<EOF >> "$GITHUB_OUTPUT"
target_branch=$TARGET_BRANCH
current_branch=$CURRENT_BRANCH
previous_sha=$PREVIOUS_SHA
current_sha=$CURRENT_SHA
diff=$DIFF
EOF
fi

View File

@@ -8,11 +8,7 @@ INPUT_SEPARATOR="${INPUT_SEPARATOR//$'\n'/'%0A'}"
INPUT_SEPARATOR="${INPUT_SEPARATOR//$'\r'/'%0D'}"
GITHUB_OUTPUT=${GITHUB_OUTPUT:-""}
DIFF="..."
if [[ -z $GITHUB_BASE_REF ]]; then
DIFF=".."
fi
DIFF=$INPUT_DIFF
if [[ $INPUT_QUOTEPATH == "false" ]]; then
git config --global core.quotepath off
@@ -78,14 +74,14 @@ function get_diff() {
done < <(git submodule | awk '{print $2}')
if [[ "$INPUT_DIR_NAMES" == "true" ]]; then
git diff --diff-filter="$filter" --name-only --ignore-submodules=all "$base$DIFF$sha" | xargs -I {} dirname {} | get_dirname_max_depth | uniq && exit_status=$? || exit_status=$?
git diff --diff-filter="$filter" --name-only --ignore-submodules=all --no-merges "$base$DIFF$sha" | xargs -I {} dirname {} | get_dirname_max_depth | uniq && exit_status=$? || exit_status=$?
if [[ $exit_status -ne 0 ]]; then
echo "::error::Failed to get changed directories between: $base$DIFF$sha"
exit 1
fi
else
git diff --diff-filter="$filter" --name-only --ignore-submodules=all "$base$DIFF$sha" && exit_status=$? || exit_status=$?
git diff --diff-filter="$filter" --name-only --ignore-submodules=all --no-merges "$base$DIFF$sha" && exit_status=$? || exit_status=$?
if [[ $exit_status -ne 0 ]]; then
echo "::error::Failed to get changed files between: $base$DIFF$sha"

View File

@@ -1 +1 @@
This is a test file
This is a test file.

View File

@@ -1 +1 @@
This is test file 1.
This is a test file 1.